apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: wizarr
  name: wizarr
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: wizarr
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: wizarr
    spec:
      containers:
        - image: ghcr.io/wizarrrr/wizarr:latest
          name: wizarr
          ports:
            - containerPort: 5690
              protocol: TCP
          volumeMounts:
            - mountPath: /data/database
              name: wizarr
      restartPolicy: Always
      volumes:
        - name: wizarr
          persistentVolumeClaim:
            claimName: wizarr
